> ## Documentation Index
> Fetch the complete documentation index at: https://developers.circle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get daily currency exchange limits

> Returns daily currency exchange limits and usages.



## OpenAPI

````yaml openapi/cross-currency.yaml get /v1/exchange/fxConfigs/dailyLimits
openapi: 3.0.2
info:
  version: ${version}
  title: Cross-Currency API
  description: >
    The Circle Cross-Currency API allows you to exchange fiat for USDC and
    exchange USDC for EURC.
servers:
  - url: https://api-sandbox.circle.com
  - url: https://api.circle.com
security: []
tags:
  - name: Trades
    description: Execute currency exchange trades.
  - name: Payments
    description: Payment endpoints.
  - name: Settlements
    description: Settlement endpoints
paths:
  /v1/exchange/fxConfigs/dailyLimits:
    get:
      tags:
        - Trades
      summary: Get daily currency exchange limits
      description: Returns daily currency exchange limits and usages.
      operationId: getDailyFxLimits
      responses:
        '200':
          description: Successfully retrieved daily FX limits.
          headers:
            X-Request-Id:
              $ref: '#/components/headers/XRequestId'
          content:
            application/json:
              schema:
                title: GetFxLimitsResponse
                properties:
                  data:
                    type: object
                    properties:
                      dailyLimits:
                        $ref: '#/components/schemas/DailyFxLimits'
              examples:
                response:
                  value:
                    data:
                      dailyLimits:
                        EURC:
                          limit: '1000000.00'
                          usage: '0.00'
                          available: '1000000.00'
                        MXN:
                          limit: '1000000.00'
                          usage: '0.00'
                          available: '1000000.00'
                        USDC:
                          limit: '1000000.00'
                          usage: '0.00'
                          available: '1000000.00'
                        BRL:
                          limit: '1000000.00'
                          usage: '0.00'
                          available: '1000000.00'
        '401':
          $ref: '#/components/responses/NotAuthorized'
      security:
        - bearerAuth: []
components:
  headers:
    XRequestId:
      description: >-
        Universally unique identifier (UUID v4) for the request. Helpful for
        identifying a request when communicating with Circle support.
      schema:
        type: string
        format: uuid
        example: 2adba88e-9d63-44bc-b975-9b6ae3440dde
  schemas:
    DailyFxLimits:
      type: object
      properties:
        EURC:
          $ref: '#/components/schemas/FxCurrencyLimit'
        MXN:
          $ref: '#/components/schemas/FxCurrencyLimit'
        USDC:
          $ref: '#/components/schemas/FxCurrencyLimit'
        BRL:
          $ref: '#/components/schemas/FxCurrencyLimit'
    FxCurrencyLimit:
      type: object
      properties:
        limit:
          type: string
          example: '1000000.00'
        usage:
          type: string
          example: '0.00'
        available:
          type: string
          example: '1000000.00'
  responses:
    NotAuthorized:
      description: >-
        The request has not been applied because it lacks valid authentication
        credentials.
      headers:
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
      content:
        application/json:
          schema:
            type: object
            title: NotAuthorized
            required:
              - code
              - message
            properties:
              code:
                type: integer
                example: 400
              message:
                type: string
                example: Something went wrong.
            example:
              code: 401
              message: Malformed authorization.
          examples:
            response:
              value:
                code: 401
                message: Malformed authorization.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````